Skip to main content
GET
/
tags
List tags
curl --request GET \
  --url https://api.open.cx/tags \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.open.cx/tags"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.open.cx/tags', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "tag_name": "<string>",
    "description": "<string>",
    "exclude_from_auto_tagging": true,
    "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Default Response

tag_name
string
required

The tag name (unique per org)

description
string | null
required

Optional description of what this tag means

exclude_from_auto_tagging
boolean
required

If true, the AI will never auto-apply this tag

category_id
string<uuid> | null
required

Category this tag belongs to, or null if uncategorized

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
created_at
string<date-time>
required
updated_at
string<date-time>
required